Home > other > AWstats Plugin stopped working after ISPConfig update

AWstats Plugin stopped working after ISPConfig update

April 4Hits:4
Advertisement

I used the awstats Plugin of http://jnsc.ch/ispconfig.php . Now I updated my ISPConfig to version 2.2.33 and my awstats don't update anymore. What can I do?

Answers

If you execute

Code:

crontab -l

do you still have

Code:

0 4 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/awstats.php &> /dev/null

yes, my crontab looks like this:

Code:

30 00 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/logs.php &> /dev/null
59 23 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/ftp_logs.php &> /dev/null
59 23 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/mail_logs.php &> /dev/null
59 23 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/cleanup.php &> /dev/null
0 4 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/webalizer.php &> /dev/null
0,30 * * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/check_services.php &> /dev/null
15 3,15 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/quota_msg.php &> /dev/null
40 00 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/traffic.php &> /dev/null
05 02 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/backup.php &> /dev/null
0 4 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/awstats.php &> /dev/null
0 7 * * * /usr/local/sbin/postfix_report.sh &> /dev/null
0 4 * * * /root/ispconfig/php/php /root/ispconfig/scripts/shell/awstats.php &> /dev/null

Did you choose AWStats in the Options tab of the Website? It's at the bottom of the page.
It is also not working for me. I can not find the AWStats Option for the site anymore?

When I look in the ISP DB I also see that the field webalizer_stats is 1 in table isp_isp_web. According to awstats.php this flag must be 2 in order to create statistics.

Code:

                $webname = $dir;
                $web_doc_id = str_replace("web", "", $webname);
                if ($web_data = $mod->db->queryOneRecord("SELECT * FROM isp_isp_web WHERE doc_id = '$web_doc_id' AND webalizer_stats = '2'"))
                {

Has the file awstats.php changed?
The option is here :
How could I miss that.
Thanks!

Tags:

Related Articles

  • AWstats Plugin stopped working after ISPConfig updateApril 4

    I used the awstats Plugin of http://jnsc.ch/ispconfig.php . Now I updated my ISPConfig to version 2.2.33 and my awstats don't update anymore. What can I do? --------------Solutions------------- If you execute Code: crontab -l do you still have Code:

  • Problem with ISPConfig updates and billing moduleMay 12

    When you update ispconfig, this command is executed: chown -R ispconfig:ispconfig /usr/local/ispconfig Problem is that this command changes the owner of exsiting bills: /usr/local/ispconfig/interface/invoices/* So you stop being able to modify them f

  • How can I prevent my plugin's next version from updating one of the files?April 9

    I read in another question that all the files in the directory are deleted during an update and this is bad design. Got it. Prevent plugin from deleting important directories Is it possible to not modify one of my plugin's files during an update? I h

  • How to build packages that can be installed with the ISPConfig update function.June 4

    The ISPConfig update manager installs packages with the .pkg file extension. These files are simple .zip files, they are named .pkg to prevent users from unpacking them before the upload. The .zip files must be build with the option to not store path

  • Plugin README.txt isn't updating in the Directory (stable tag is correct)September 19

    I'm fairly certain I've tagged (and updated) everything properly according to the official FAQ. My previous version was 1.0.0 My new (current) version is 1.0.1 I've updated README.txt in trunk with Stable tag: 1.0.1 I've updated README.txt in tags/1.

  • Self-hosted Plugins & Themes store with auto-updates? November 18

    I'm looking for a way to self-host a WordPress Plugins/Themes store (ideally at no cost - I am but a poor developer!) with the following features: Sell Plugin/Theme downloads Auto-updates for sold extensions with WP Admin updater Managed with interfa

  • bzcat broken pipe after ISPConfig updateJanuary 20

    Good morning all, I updated my ISPConfig to the latest version, and my overnight cron job has a bunch of errors in it. (here are the first three): bzcat: I/O or other error, bailing out. Possible reason follows. bzcat: Broken pipe Input file = /usr/s

  • Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE environment variable toMarch 15

    today I just imported a sample app from Android SDK as a module in my project (analytics) and suddenly I got this gradle error when I try to sync it: Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE envrinment

  • Postfix stopped sending mails after ispconfig updateSeptember 26

    Hi all, So Postfix stopped sending mails after an ispconfig update.. it asked me to reconfig the service and i said "yes" and now the server is not sending mails: Code: -Queue ID- --Size-- ----Arrival Time---- -Sender/Recipient------- C209114217

  • Plugin is too old, please update to a more recent version January 21

    Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE environment variable to "aed79d567e57792ed352e708d2b7ca891ff897c6" Can somebody help me? How could I update this one apply plugin: 'com.android.application'

  • Plugin is too old,please update to a more recent version, or set ANDROID_DAILY_OVERIDEJanuary 22

    Strangely I am getting this error in Android Studio. It was not happening before. As far as I know,I might need to update gradle version to a new one. Error:(1, 0) Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRI

  • Gradle Plugin Error - Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE environment variable to

    Gradle Plugin Error - Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE environment variable toMay 5

    i was working on my app..suddenly this error shows up..i tried updating everything...still cant get rid of this error..please help... ERROR:- Error:(1, 0) Plugin is too old, please update to a more recent version, or set ANDROID_DAILY_OVERRIDE enviro

  • Roundcube user plugin error next upgrade ispconfig

    Roundcube user plugin error next upgrade ispconfigApril 29

    Hi All: Next upgrade from ispconfig 3.0.3 to 3.0.4 when try change password in roundcube using roundcube plugin, this not work and show error (upper screen)): "Soap Error: login_error_regex" Nos changed remote user in ispconfing and anything. On

  • AWstats plugin RecoveryJanuary 14

    Before ISPconfig 3.0X which included Awstats in the statistics I installed a custom script found on the net to make it work. Now I have deleted all files and configurations that had to do with the old awstats. I even purged it from aptitude. Can some

  • Flash Plugin - How to disable automatic updates on a computer that is offline?August 3

    Note: This is only marginally related to another question I asked earlier about Adobe Reader, and only because I am trying to achieve the same basic effect for a different piece of software on the same machine. I have a computer that is currently at

  • Hosting plugin Google Code with auto update?August 4

    I've been developing a WordPress plugin for a friend who needs something completely out-of-the-box, at least what WordPress is cornerned. Now, I could use the WordPress plugin repository to host this, but I've already hosted this project on Google Co

  • phpmyadmin failed to respond after ispconfig update

    phpmyadmin failed to respond after ispconfig updateJanuary 21

    hello again ... i am sorry i haven t replyed to my last questions, about the problems solving , everything is ok, smtp, postfix etc.. working good, except phpmyadmin ... altho i have tried to reinstall phpmyadmin, even with the tutorial fllowing step

  • ISPConfig updates monitor showing fake updates

    ISPConfig updates monitor showing fake updatesJanuary 24

    Hello everybody, I am running ISPConfig 3.0.5.4p3 on Debian Wheezy. ISPConfig is showing the following output in the updates monitor section: Code: Reading package lists... Building dependency tree... Reading state information... The following NEW pa

  • ISPConfig update, open_basedir restriction and /dev/urandom not withinFebruary 28

    Hey, I'm having a problem on updating the ispconfig and it seems that I'm unable to solve this on my own, linux isn't most familiar platform for me. I've been trying to set the /dev/urandom and going around the open_basedir on config files etc but no

  • adobe flash plugin not working after being updatedMay 18

    I updated the adobe flash plug-in from the Synaptic package manager. The updation wasn't successful. After that i started to experience issues with adobe flash plugin in browsers, i was not able to watch videos on youtube. Now when i open synaptic ma

Copyright (C) 2017 ceus-now.com, All Rights Reserved. webmaster#ceus-now.com 14 q. 0.574 s.